POST /volcv/v1
Method: POSTEndpoint: /volcv/v1
https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
{
"req_key"
:
"high_aes_ip_v20"
,
// "binary_data_base64": [],
"image_urls"
:
[
"https://xxx"
]
,
"prompt"
:
"Vast armies charging forward"
,
"desc_pushback"
:
true
,
"seed"
:
-1
,
"scale"
:
3.5
,
"ddim_steps"
:
9
,
"width"
:
512
,
"height"
:
512
,
"cfg_rescale"
:
0.7
,
"ref_ip_weight"
:
0.7
,
"ref_id_weight"
:
0.36
,
"use_sr"
:
true
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"This is a visible watermark"
}
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"req_key": "high_aes_ip_v20",
// "binary_data_base64": [],
"image_urls": ["https://xxx"],
"prompt": "Vast armies charging forward",
"desc_pushback": true,
"seed": -1,
"scale": 3.5,
"ddim_steps": 9,
"width": 512,
"height": 512,
"cfg_rescale": 0.7,
"ref_ip_weight": 0.7,
"ref_id_weight": 0.36,
"use_sr": true,
"return_url": true,
"logo_info": {
"add_logo": false,
"position": 0,
"language": 0,
"opacity": 0.3,
"logo_text_content": "This is a visible watermark"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"algorithm_base_resp": {
"status_code": 0,
"status_message": "Success"
},
"binary_data_base64": [],
"image_urls": [
"https://xxx"
],
"pe_result": "",
"predict_tags_result": "",
"rephraser_result": "",
"request_id": "cece14795209cf7e39a9d3060c02e28542d96808f7413e2e7d2fdb86510655d5"
},
"message": "Success",
"request_id": "2024110517020569520218533D2EA96060",
"status": 10000,
"time_elapsed": "7.545501615s"
}